/* 
 *  Achtung, einige Module haben einen falschen Bootloader
 *  Nanno, ATmega328P nicht old Bootloader 
RemoteNodeRed &&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&

  Das Remotmodul (RM) hat 3 Hauptaufgaben

  1. Bei Tastendruck einen Tastencode senden
	Der Tastencode entspricht immer der Adresse + Tastennummer + "0"

  2. Befehle zum Schalten der Ausgänge filtern und Ausgänge schalten.
	Befehlscode ist Adresse + Portnummer + E oder A für Ein und Aus

  3. Eine Anfrage auf Funktion beantworten
	Anfrage: AY Antwort: A_Testbrett

  Es können 8 Tasten und 8 Relais angeschlossen werden
  Is das Blinken aktiviert(Blink 1), wird der 8. Ausgang ständig blinken.
  Relais, die blinken sollen, werden dann nicht gegen GND sondern gegen den Augang 8 geschaltet.

  Das Invertieren der Ausgänge ist noch nicht realisiert

  Der Temperatursensors wird in ein eigenes Modul bekommen.

  Version 2
  Es sind öfter Fehler aufgetreten. Besonders bei dem Rollo am Kellerausgang sendet das Modul Tastimpulse, ohne Betätigung der Taste.
  Versuche mit einem Kondensator in der +5 oder der Datenleitung brachten keine Verbesserung. Daher soll hier eine Softwarelösung helfen.
  Der Tastendruck wird nun erst nach einer Zeit von 100mS ausgewertet. Störimpulse werden in dieser Zeit überlesen. 

  Version 3
  Die Abfrage der Tasten ist immer noch unsicher. Es wird nun sttt 2 mal 3 mal geprüft, befor der Code gesendet wird.

  Version 6
  Einige Funktionen benötigen auch die Info, wie lang eine Taste gedrückt ist bzw. ob ein schalter geöffnet oder geschlossen ist.
  Dazu kann jetzt die Variable Schalter gesetzt werden (0 = kein Schalter, 1 = Schalter).
  Wenn Schalter = 1 gesetzt ist, wird neben Adresse + 10 auch beim Wiederöffnen Adresse + 11 gesendet.
  
*/
