void loop() {
  // Tasten prüfen, Tastcode senden ******************************************************
  for (int x = 0; x <= 7; x++) {
    // Störimpulse überlesen V2
    if (!digitalRead(TastePin[x]) and !merker[x]) {
      Serial.print("warte "); //warten um Fehlauslösungen zu verhindern
      Serial.println(x);
      delay(100);
      if (!digitalRead(TastePin[x]) and !merker[x]) { // hier erfolgt die 2.Prüfung nur, wenn die erste bereits erfogreich war
        delay(80);
        if (!digitalRead(TastePin[x]) and !merker[x]) { // hier erfolgt die 3.Prüfung nur, wenn die 1. und 2. bereits erfogreich waren
          merker[x] = 1;
          softSerial.println(Taste[x]);
          delay(80);
        }
      }
    }
    if (digitalRead(TastePin[x]) and merker[x]) {
      merker[x] = 0;
      merker_w[x] = 0;
      if(Schalter) softSerial.println(Taste1[x]);
      delay(80);
    }
  }
  // Wenn über die serielle Schnittstelle etwas eingegangen ist ***************************
  while (softSerial.available() > 0) {
    // get the new byte:
    char inChar = (char)softSerial.read();
    // Serial.print(inChar);
    // Serial.println(inChar);
    Satz += inChar; // add it to the Satz:
    if (inChar == '\n') {
      Auswerten();
      Satz = "";
    }
  }
  if (Blink == 1) blinken();
  delay(100);
}
// *************************************************************************************
void Auswerten() {
  Serial.print("X1:");
  Serial.println(Satz);
  if (Satz[0] == Adresse[0]) {
    if (Satz[1] == 'Y') {
      softSerial.println(Version + " " + Adresse + "_" + Einbauort);
    } else {
      for (int x = 0; x <= 7; x++) {
        if (Satz[1] == Aktor[x]) {
          Serial.println("gefunden");
          if (Satz[2] == 'E' ) {
            if (Invert == 0) {
              digitalWrite(AktorPin[x], 1);
            } else {
              digitalWrite(AktorPin[x], 0);
            }
          }
          if (Satz[2] == 'A' ) {
            if (Invert == 0) {
              digitalWrite(AktorPin[x], 0);
            } else {
              digitalWrite(AktorPin[x], 1);
            }
          }
        }
      }
    }
  }
}
